
Redmine - Feature #22368

Ability to add private comments from the issue bulk edit page

2016-04-02 07:06 - Felix Schäfer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 4.1.0   

Resolution: Fixed   

Description

It is currently not possible to add private comments from the issue bulk edit page, is this by design? If not it would be nice if this was

possible.

Related issues:

Has duplicate Redmine - Feature #24772: Set note as private is bulk edit mode Closed

Associated revisions

Revision 17744 - 2018-12-16 08:00 - Jean-Philippe Lang

Ability to add private comments from the issue bulk edit page (#22368).

History

#1 - 2016-05-01 12:33 - Toshi MARUYAMA

- Category set to Issues

#2 - 2017-01-06 14:22 - Mischa The Evil

- Has duplicate Feature #24772: Set note as private is bulk edit mode added

#3 - 2017-01-06 19:19 - Pierre Maigne

+1

Sometimes, we want to add the same private note to multiple issues. Unfortunately, when you bulk edit issues, the checkbox to set the note as private

is not present.

Thanks

#4 - 2017-02-05 07:28 - Toshi MARUYAMA

- Description updated

#5 - 2017-12-04 15:04 - Takenori TAKAKI

- File fix-22368.patch added

- File fix-22368.png added

I made the patch (compatible with latest trunk 17055).

this patch allows user to set 'private notes' property on bulk edit page.
fix-22368.png 

#6 - 2017-12-31 17:54 - Toshi MARUYAMA

- Target version set to 4.1.0

#7 - 2018-12-16 08:02 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed
Takenori TAKAKI wrote:

I made the patch (compatible with latest trunk 17055).

this patch allows user to set 'private notes' property on bulk edit page.

 The patch always displays the "Private notes" checkbox and returns a 403 if the user is not allowed. I think it's better to display the checkbox when

the user is allowed to set private notes only.

Files

fix-22368.patch 3.1 KB 2017-12-04 Takenori TAKAKI

fix-22368.png 142 KB 2017-12-04 Takenori TAKAKI
